<?php
/**
 * JBZoo App is universal Joomla CCK, application for YooTheme Zoo component
 * @package     jbzoo
 * @version     2.x Pro
 * @author      JBZoo App http://jbzoo.com
 * @copyright   Copyright (C) JBZoo.com,  All rights reserved.
 * @license     http://jbzoo.com/license-pro.php JBZoo Licence
 * @coder       Denis Smetannikov <denis@jbzoo.com>
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Class JBCartElementShippingManual
 */
class JBCartElementShippingSdek extends JBCartElementShipping
{

    /**
     * @param array $params
     * @return bool
     */
    public function hasValue($params = array())
    {
        return true;
    }




    protected function _renderCity()
    {
        return $this->app->jbhtml->text($this->getControlName('city'), '325');
    }




    public function getDiscont()
    {
        return $this->config->get('discont');
    }
    public function getCenter()
    {
        return $this->config->get('center');
    }

    public function getSenderCity()
    {
        return $this->config->get('senderCityId');
    }



    public function getColorRoute()
    {
        return $this->config->get('colorRoute');
    }

    public function getIconLink()
    {
        return $this->config->get('iconLink');
    }

    public function getIconText()
    {
        return $this->config->get('iconText');
    }

    public function getIconSize()
    {
        return $this->config->get('iconSize');
    }

    public function getIconOffset()
    {
        return $this->config->get('iconOffset');
    }

    public function getIconLinkP()
    {
        return $this->config->get('iconLinkP');
    }

    public function getIconSizeP()
    {
        return $this->config->get('iconSizeP');
    }

    public function getIconOffsetP()
    {
        return $this->config->get('iconOffsetP');
    }



    /**
     * @return JBCartValue
     */
    public function getRate()
    {

    	$city = $this->get('city');

        return $this->_order->val($city);
    }
}
